Skip to main content
POST
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
instructions
Create Instruction
curl --request POST \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/instructions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Customer Support",
  "instruction": "You are a helpful customer support agent...",
  "creativityLevel": 0.5,
  "deletable": true,
  "isActive": false
}
'
{
  "success": true,
  "message": "Instruction settings created successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Customer Support",
    "instruction": "You are a helpful customer support agent...",
    "deletable": false,
    "isActive": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
Temperature field will be added soon.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json
title
string
required

Short label for this instruction

Maximum string length: 100
Example:

"Customer Support"

instruction
string
required

The full system instruction text

Example:

"You are a helpful customer support agent..."

creativityLevel
number<float>
default:0.5

Temperature / creativity level (0 = deterministic, 1 = creative)

Required range: 0 <= x <= 1
deletable
boolean
default:true

Whether this instruction can be deleted by the user

isActive
boolean
default:false

Set to true to immediately activate this instruction

Response

Created

success
boolean
Example:

true

message
string
Example:

"Instruction settings created successfully"

data
object